Bug 1712824 - Kubevirt CR not available
Summary: Kubevirt CR not available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1718942
TreeView+ depends on / blocked
 
Reported: 2019-05-22 10:16 UTC by Lukáš Hellebrandt
Modified: 2019-10-22 19:49 UTC (History)
7 users (show)

Fixed In Version: satellite-installer-6.6.0.13-1.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26899 0 High Closed Kubevirt CR not available 2020-09-14 12:57:53 UTC

Description Lukáš Hellebrandt 2019-05-22 10:16:45 UTC
Description of problem:
In current snap, there should be Kubevirt available as a CR. However, it is not:

1) # rpm -qa | grep -i kubevirt
2) In WebUI, when creating a new CR, type Kubevirt is not available
3) # satellite-installer --help | grep -i enable-foreman-compute
    --[no-]enable-foreman-compute-ec2 Enable 'foreman_compute_ec2' puppet module (default: false)
    --[no-]enable-foreman-compute-gce Enable 'foreman_compute_gce' puppet module (default: false)
    --[no-]enable-foreman-compute-libvirt Enable 'foreman_compute_libvirt' puppet module (default: false)
    --[no-]enable-foreman-compute-openstack Enable 'foreman_compute_openstack' puppet module (default: false)
    --[no-]enable-foreman-compute-ovirt Enable 'foreman_compute_ovirt' puppet module (default: false)
    --[no-]enable-foreman-compute-rackspace Enable 'foreman_compute_rackspace' puppet module (default: false)
    --[no-]enable-foreman-compute-vmware Enable 'foreman_compute_vmware' puppet module (default: false)

Version-Release number of selected component (if applicable):
Tested on Sat 6.6 snap 3 but is probably also issue of all previous snaps

How reproducible:
Deterministic

Steps to Reproduce:
1) In WebUI, try to create a new CR (Infrastructure -> Compute Resources) of type Kubevirt

Actual results:
Type Kubevirt not available

Expected results:
Type Kubevirt available, settings in satellite-installer available, foreman-kubevirt package installed

Additional info:
Kubevirt CR is a new feature in Sat 6.6

Comment 5 Shira Maximov 2019-05-28 08:44:49 UTC
Created redmine issue https://projects.theforeman.org/issues/26899 from this bug

Comment 6 Lukáš Hellebrandt 2019-06-11 08:55:23 UTC
This is still blocking QE from testing anything related to foreman-kubevirt in downstream.

Comment 7 Moti Asayag 2019-06-11 14:44:25 UTC
(In reply to Lukáš Hellebrandt from comment #6)
> This is still blocking QE from testing anything related to foreman-kubevirt
> in downstream.

Lukas, I've created https://gitlab.sat.engineering.redhat.com/satellite6/satellite-installer/merge_requests/68 to make the option visible as part of satellite-installer.

There is an option to edit the answer file locally:

echo "foreman::plugin::kubevirt: false" >> /etc/foreman-installer/scenarios.d/satellite-answers.yaml
 
this ends up with:

[root@ci-vm-10-0-147-103 ~]# satellite-installer --help| grep kubevirt
    --[no-]enable-foreman-plugin-kubevirt Enable 'foreman_plugin_kubevirt' puppet module (default: false)

and plugin installation can be done by:

satellite-installer --enable-foreman-plugin-kubevirt

Comment 9 Lukáš Hellebrandt 2019-06-20 12:28:09 UTC
For all X in all_compute_resources, the satellite-installer entries look like --[no-]enable-foreman-compute-X. Please be consistent with that.

Comment 10 Shira Maximov 2019-06-23 07:05:07 UTC
This compute resource is different because it's a plugin and not part of foreman core.

Comment 11 Shira Maximov 2019-06-24 11:59:39 UTC
All these options of forman-installer are auto-generated from Puppet classes/parameters.
In that case, the Puppet class is "foreman::plugin::kubevirt" because it's under the plugins folder. 

the foreman::compute namespace is for compute resources supported only by foreman-core, not by plugins.

Azure and DigitalOcean have the same "issue":
https://github.com/theforeman/puppet-foreman/blob/master/manifests/plugin/azure.pp,
https://github.com/theforeman/puppet-foreman/blob/master/manifests/plugin/digitalocean.pp

Comment 13 Lukáš Hellebrandt 2019-07-08 12:16:11 UTC
The --enable-foreman-plugin-kubevirt parameter is now available without any workaround (snap 10). However, the plugin is not installed when running default installation ("satellite-installer --scenario satellite"). This means the kuberivrt CR type is not available as opposed to most of the CR types which are available by default.

I suppose this is correct behavior. Can you confirm, Shira?

Comment 15 Lukáš Hellebrandt 2019-07-09 11:51:50 UTC
Verified with Sat 6.6 snap 10 as per comment 13 and comment 14.

Comment 16 Bryan Kearney 2019-10-22 19:49:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.